﻿{
"def": {
    // Enemy spotted status marker.
    "enemySpottedMarker": {
      "enabled": true,
      // Opacity percentage of spotted markers in the panels. 0 - transparent (disabled) ... 100 - opaque.
      "alpha": "{{a:spotted}}",
      // x position.
      "x": 90,
      // y position.
      "y": -1,
      // Horizontal alignment
      "align": "center",
      // true - x position is bound to vehicle icon, false - bound to edge of the screen.
      "bindToIcon": true,
      // enemy spotted status marker format.
      "format": "<font color='{{c:spotted}}'>{{spotted}}</font>",
      // shadow (see below).
      "shadow": {}
    },
    // XMQP service marker definition.
    "xmqpServiceMarker": {
      "enabled": true,
      "x": 90, "y": -1, "align": "center", "bindToIcon": true,
      "textFormat": {
        "font": "xvm",
        "size": 24
      },
      "format": "<font color='{{alive?{{x-spotted?#FFBB00|{{x-sense-on?#D9D9D9|#BFBFBF}}}}|#FFFFFF}}' alpha='{{alive?#FF|#80}}'>{{alive?{{x-spotted?&#x70;|{{x-sense-on?&#x70;|{{x-enabled?&#x7A;}}}}}}}}</font>",
      "shadow": {}
    },
    // Clan icon.
    "clanIcon": {
      "enabled": true,
      "x": 65, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
      "src": "{{clanicon}}"
      //"format": "<img src='{{clanicon}}' width='16' height='16'>"
    },
    // XVM user marker.
    "xvmUserMarker": {
      "enabled": false,
      "x": 10, "y": 5, "bindToIcon": true,
      "src": "xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png"
    },
    // HP bar background.
    "hpBarBg": { "hotKeyCode": 56, "onHold": "true", "visibleOnHotKey": true, "x": 96, "y": 6, "width": 72, "bindToIcon": true, "height": 14, "bgColor": "0x000000", "alpha": "{{alive?35|0}}" },
    // HP bar.
    "hpBar": { "hotKeyCode": 56, "onHold": "true", "visibleOnHotKey": true, "x": 97, "y": 7, "bindToIcon": true, "width": "{{hp-ratio:70}}", "height": 12, "bgColor": "{{player?#FFDD33|{{c:system}}}}", "alpha": "{{alive?50|0}}" },
    // Remaining HP.
    // ?????????? HP.
    "hp": {
      "hotKeyCode": 56, "onHold": "true", "visibleOnHotKey": true, "bindToIcon": true, "alpha": "{{alive?100|0}}",
      "x": 96, "width": 72, "y": 4,
      "textFormat": { "font": "$FieldFont", "size": 11, "color": "0xD9D9D9", "bold": "true", "align": "center" },
      "format": "<font alpha='{{alive?{{ready?#FF|#80}}|#80}}'>{{alive?{{hp|{{l10n:No data}}}}|{{l10n:Destroyed}}}}</font>",
      "shadow": { "enabled": true, "color": "0x000000", "alpha": 100, "blur": 4, "strength": 1, "distance": 0, "angle": 0 }
    }
  },
  "playersPanel": {
    "enabled": true,
    "alpha": 80,
    "iconAlpha": 100,
    "removeSelectedBackground": false,
    "removePanelsModeSwitcher": false,
    "startMode": "large",
    "altMode": "medium2",
    "none": {
      "enabled": true
    },
    "short": {
		"enabled": true,
		"standardFields": [ "frags" ],
		"expandAreaWidth": 230,
		"removeSquadIcon": true,
		"squadIconAlpha": 100,
		"vehicleIconOffsetXLeft": 0,
		"vehicleIconOffsetXRight": 0,
		"vehicleLevelOffsetXLeft": 0,
		"vehicleLevelOffsetXRight": 0,
		"vehicleLevelAlpha": 0,
		"fragsOffsetXLeft": 0,
		"fragsOffsetXRight": 0,
		"fragsWidth": 24,
		"rankBadgeOffsetXLeft": 0,
		"rankBadgeOffsetXRight": 0,
		"rankBadgeWidth": 24,
		"rankBadgeAlpha": "{{alive?90|40}}",
		"nickOffsetXLeft": 0,
		"nickOffsetXRight": 0,
		"nickMinWidth": 0,
		"nickMaxWidth": 0,
		"fragsFormatLeft": "{{frags}}",
        "fragsFormatRight": "{{frags}}",
		"nickFormatLeft": "",
		"nickFormatRight": "",
		"vehicleOffsetXLeft": 0,
		"vehicleOffsetXRight": 0,
		"vehicleWidth": 0,
		"vehicleFormatLeft": "<font color='{{c:xte}}'>{{vehicle}}</font>",
		"vehicleFormatRight": "<font color='{{c:xte}}'>{{vehicle}}</font>",
	  "extraFieldsLeft": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.enemySpottedMarker"}
      ]
    },
     "medium": {
      "enabled": true,
	  "standardFields": [ "nick", "frags" ],
	  "expandAreaWidth": 230,
	  "removeSquadIcon": true,
	  "squadIconAlpha": 100,
	  "vehicleIconOffsetXLeft": 10,
      "vehicleIconOffsetXRight": 10,
      "vehicleLevelOffsetXLeft": 0,
      "vehicleLevelOffsetXRight": 0,
	  "vehicleLevelAlpha": 0,	  
      "fragsOffsetXLeft": 20,
      "fragsOffsetXRight": 20,
	  "fragsShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsWidth": 24,
	  "rankBadgeOffsetXLeft": 0,
      "rankBadgeOffsetXRight": 0,
      "rankBadgeWidth": 24,
	  "rankBadgeAlpha": "{{alive?90|40}}",
      "nickOffsetXLeft": 5,
      "nickOffsetXRight": 10,
      "nickMinWidth": 46,
      "nickMaxWidth": 130,
	  "nickShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "nickShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
	  "nickFormatLeft": "{{xvm-stat?<textformat leading='19' tabstops='[65]'><font face='Liberation Mono' size='13' alpha='{{alive?#FF|#80}}' color='#FFFFFF'><font alpha='{{alive?#FF|#80}}' color='{{c:t-battles}}'>{{t-hb%2d~h|--h}} </font><font alpha='{{alive?#FF|#80}}' color='{{c:xte}}'>{{xte%2s|--}}</font></font><tab>|}}<font color='{{c:xte}}'>{{vehicle}}</font></textformat>",
      "nickFormatRight": "<textformat leading='9' tabstops='[70]'><font alpha='{{alive?#FF|#80}}' color='{{c:xte}}'>{{vehicle}}</font>{{xvm-stat?<tab><font face='Liberation Mono' size='13' color='#FFFFFF'><font alpha='{{alive?#FF|#80}}' color='{{c:t-battles}}'>{{t-hb%2d~h|--h}} </font><font alpha='{{alive?#FF|#80}}' color='{{c:xte}}'>{{xte%2s|--}}</font></font>|}}</textformat>",
      "vehicleOffsetXLeft": 0,
      "vehicleOffsetXRight": 0,
	  "vehicleShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "vehicleShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "vehicleWidth": 0,
	  "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
	   "extraFieldsLeft": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.enemySpottedMarker"}
      ]
    },
     "medium2": {
      "enabled": true,
	  "standardFields": [ "frags", "vehicle" ],
      "expandAreaWidth": 230,
	  "removeSquadIcon": true,
	  "squadIconAlpha": 100,
	  "vehicleIconOffsetXLeft": 0,
      "vehicleIconOffsetXRight": 10,
      "vehicleLevelOffsetXLeft": 0,
      "vehicleLevelOffsetXRight": 0,
	  "vehicleLevelAlpha": 0,
	  "fragsOffsetXLeft": 10,
      "fragsOffsetXRight": 10,
	  "fragsShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsWidth": 24,
	  "rankBadgeOffsetXLeft": 0,
      "rankBadgeOffsetXRight": 0,
      "rankBadgeWidth": 24,
	  "rankBadgeAlpha": "{{alive?90|40}}",
	  "nickOffsetXLeft": 0,
      "nickOffsetXRight": 0,
      "nickMinWidth": 0,
      "nickMaxWidth": 0,
	  "nickShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "nickShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
	  "vehicleFormatLeft": "{{xvm-stat?<textformat leading='9' tabstops='[30,100]'><font face='Liberation Mono' size='13' alpha='{{alive?#FF|#80}}' color='#FFFFFF'><font color='{{c:r}}'>{{r_size=2?{{r%2d|----}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font></font>|}}<tab> <font color='{{c:xr}}'>{{xvm-stat? |}}{{name%.12s~..}}</font></font>{{xvm-stat?<tab> |}}</textformat>",
      "vehicleFormatRight": "<textformat leading='9' tabstops='[65]'><font color='{{c:xr}}'>{{name%.12s~..}}</font>{{xvm-stat?<tab><font face='Liberation Mono' size='13' alpha='{{alive?#FF|#80}}' color='#FFFFFF'><font color='{{c:r}}'> {{r_size=2?{{r%2d|----}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font></font>|}}</textformat>",
      "vehicleOffsetXLeft": 10,
      "vehicleOffsetXRight": 15,
      "vehicleShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "vehicleShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
	  "vehicleWidth": 120,
	  "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
	  "extraFieldsLeft": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.enemySpottedMarker"}
      ]
    },
"large": {
      "enabled": true,
	  "standardFields": [ "nick", "frags", "vehicle" ],
      "removeSquadIcon": false,
	  "squadIconAlpha": 100,
      "vehicleIconOffsetXLeft": 25,
      "vehicleIconOffsetXRight": 25,
      "vehicleLevelOffsetXLeft": 0,
      "vehicleLevelOffsetXRight": 0,
      "vehicleLevelAlpha": 0,
      "fragsOffsetXLeft": 35,
      "fragsOffsetXRight": 35,
	  "fragsShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "fragsWidth": 24,
	  "rankBadgeOffsetXLeft": 0,
      "rankBadgeOffsetXRight": 0,
      "rankBadgeWidth": 24,
	  "rankBadgeAlpha": "{{alive?90|40}}",
	  "nickOffsetXLeft": 20,
      "nickOffsetXRight": 20,
      "nickMinWidth": 42,
      "nickMaxWidth": 160,
	  "nickShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "nickShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
	  "nickFormatLeft": "{{xvm-stat?<textformat leading='9' tabstops='[65]'><font face='Liberation Mono' size='13' color='#FFFFFF'><font alpha='{{alive?#FF|#80}}' color='{{c:r}}'>{{r_size=2?{{r%2d|----}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font> <font alpha='{{alive?#FF|#80}}' color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font></font><tab>|}}<font color='{{c:xr}}'> {{name%.12s~..}}</font> {{clan}}</textformat>",
      "nickFormatRight": "<textformat leading='9' tabstops='[90]'><font color='{{c:xr}}'>{{name%.12s~..}}</font> {{clan}}{{xvm-stat?<tab><font face='Liberation Mono' size='13' color='#FFFFFF'><font alpha='{{alive?#FF|#80}}' color='{{c:r}}'>{{r_size=2?{{r%2d|----}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font> <font alpha='{{alive?#FF|#80}}' color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font></font>|}}</textformat>",
      "vehicleOffsetXLeft": 40,
      "vehicleOffsetXRight": 40,
	  "vehicleShadowLeft": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "vehicleShadowRight": { "enabled": true, "alpha": 50, "color": "0x000000", "blur": 1.5, "strength": 1 },
      "vehicleWidth": 70,
	  "vehicleFormatLeft": "<font color='{{c:xte}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:xte}}'>{{vehicle}}</font>",
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
	  "fixedPosition": false,
	  "extraFieldsLeft": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"def.hpBarBg"},
        ${"def.hpBar"},
        ${"def.hp"},
        ${"def.clanIcon"},
        ${"def.xvmUserMarker"},
        ${"def.enemySpottedMarker"}
      ]
    }
  }
}
